Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory.descriptor.didl
Class Container

    java.lang.Object
      org.teleal.cling.support.contentdirectory.descriptor.didl.Container

    public class Container

extends Object

A 'container' element may contain any number of

1. Dublin Core,
2. upnp,
3. res,
4. ref,
5 item,
6. container
and 7. desc elements.

In all cases, the first element in each container child element sequence is required to be "dc:title". The 'upnp:class' element must also appear under container. Each container is required to specify a value for the 'id' and 'parentID' attributes. Each container is also required to specify a value for the 'restricted' attribute (true, false, 1, 0). When restricted="true", the ability to change or delete the container is restricted.

Other optional container element attributes are 'parentID', 'childCount', and 'searchable'.

Other optional attributes are 'parentID' and 'childCount'.

Attributes:

id type: string use: required
parentID type: string use: required
childCount type: int use: optional
restricted type: boolean use: required

The equivalent MPEG21 DIDL element is 'CONTAINER'

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://purl.org/dc/elements/1.1/}title"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <any namespace='urn:schemas-upnp-org:metadata-1-0/upnp/'/>
               <any namespace='http://purl.org/dc/elements/1.1/'/>
               <element ref="{urn:schemas-upnp-org:metadata-1-0/DIDL-Lite/}desc"/>
               <element ref="{urn:schemas-upnp-org:metadata-1-0/DIDL-Lite/}item"/>
               <element ref="{urn:schemas-upnp-org:metadata-1-0/DIDL-Lite/}res"/>
               <element ref="{urn:schemas-upnp-org:metadata-1-0/DIDL-Lite/}container"/>
             </choice>
           </sequence>
           <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="parentID" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="childCount" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="restricted" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="searchable" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Integer` | `childCount`
`protected List<Object>` | `children`
`protected String` | `id`
`protected String` | `parentID`
`protected boolean` | `restricted`
`protected Boolean` | `searchable`
`protected Title` | `title`

Constructor Summary
`Container()`

Method Summary
`Integer` | `getChildCount()` Gets the value of the childCount property.
`List<Object>` | `getChildren()` Gets the value of the children property.
`String` | `getId()` Gets the value of the id property.
`String` | `getParentID()` Gets the value of the parentID property.
`Title` | `getTitle()` Gets the value of the title property.
`boolean` | `isRestricted()` Gets the value of the restricted property.
`Boolean` | `isSearchable()` Gets the value of the searchable property.
`void` | `setChildCount(Integer value)` Sets the value of the childCount property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setParentID(String value)` Sets the value of the parentID property.
`void` | `setRestricted(boolean value)` Sets the value of the restricted property.
`void` | `setSearchable(Boolean value)` Sets the value of the searchable property.
`void` | `setTitle(Title value)` Sets the value of the title property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### title

    protected Title title

### children

    protected List<Object> children

### id

    protected String id

### parentID

    protected String parentID

### childCount

    protected Integer childCount

### restricted

    protected boolean restricted

### searchable

    protected Boolean searchable

Constructor Detail

### Container

    public Container()

Method Detail

### getTitle

    public Title getTitle()

  Gets the value of the title property.

  Returns:
    possible object is `Title`

### setTitle

    public void setTitle(Title value)

  Sets the value of the title property.

  Parameters:
    `value` - allowed object is `Title`

### getChildren

    public List<Object> getChildren()

  Gets the value of the children property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the children property.

  For example, to add a new item, do as follows:

          getChildren().add(newItem);

  Objects of the following type(s) are allowed in the list `Item` `Container` `Object` `Res` `Desc`

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getParentID

    public String getParentID()

  Gets the value of the parentID property.

  Returns:
    possible object is `String`

### setParentID

    public void setParentID(String value)

  Sets the value of the parentID property.

  Parameters:
    `value` - allowed object is `String`

### getChildCount

    public Integer getChildCount()

  Gets the value of the childCount property.

  Returns:
    possible object is `Integer`

### setChildCount

    public void setChildCount(Integer value)

  Sets the value of the childCount property.

  Parameters:
    `value` - allowed object is `Integer`

### isRestricted

    public boolean isRestricted()

  Gets the value of the restricted property.

### setRestricted

    public void setRestricted(boolean value)

  Sets the value of the restricted property.

### isSearchable

    public Boolean isSearchable()

  Gets the value of the searchable property.

  Returns:
    possible object is `Boolean`

### setSearchable

    public void setSearchable(Boolean value)

  Sets the value of the searchable property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.